// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UAnimBlueprint.h"
#include "SCW_UBlueprint.h"

class UAnimBlueprint;;

namespace Sourcify
{
	class SCW_UAnimBlueprint : public SCW_UBlueprint, public virtual ISCW_UAnimBlueprint
	{
	public:
		SCW_UAnimBlueprint(UAnimBlueprint* InAnimBlueprint);

		UAnimBlueprint* ToUAnimBlueprint() const;

		ISCW_UAnimBlueprintPtr ToUAnimBlueprintPtr() override;
		ISCW_UAnimBlueprintConstPtr ToUAnimBlueprintPtr() const override;

	protected:
		UAnimBlueprint* AnimBlueprint;
	};
} // namespace Sourcify